package com.brilliance.isc.vo.lg;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitpcrStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private Nidgrp oldnidgrp;
    private String nxtflg;
    private String extpay;
    private String legfrm;
    private Date repdat;
    private JSONArray payroList;
    private JSONArray docprbroList;
    //Text of claim
    private  String clmtxts20= NULLSTR;
    private String clmtxt= NULLSTR;
    private String acttyp= NULLSTR;
    //申报类型
    private  String szflg = NULLSTR;
    //赔付工作日
    private  int payday;
    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }


    }
}
